<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>ExternalImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternalImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2013 CEA LIST</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials are</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * made available under the terms of the Eclipse Public License v1.0 which</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> *    CEA LIST - Initial API and implementation</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.notify.Notification;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.InternalEObject;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.ENotificationImpl;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.MinimalEObjectImpl;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.C_CppPackage;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.External;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Classifier;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> * An implementation of the model object '&lt;em&gt;&lt;b&gt;External&lt;/b&gt;&lt;/em&gt;'.</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment"> * The following features are implemented:</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <em class="jxr_javadoccomment"> * &lt;/p&gt;</em>
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  <em class="jxr_javadoccomment"> * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.ExternalImpl#getName &lt;em&gt;Name&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl.ExternalImpl#getBase_Classifier &lt;em&gt;Base Classifier&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <em class="jxr_javadoccomment"> * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternalImpl.html">ExternalImpl</a> <strong class="jxr_keyword">extends</strong> MinimalEObjectImpl.Container <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html">External</a> {
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_javadoccomment">	 * The default value of the '{@link #getName() &lt;em&gt;Name&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * @see #getName()</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> String NAME_EDEFAULT = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getName() &lt;em&gt;Name&lt;/em&gt;}' attribute.</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <em class="jxr_javadoccomment">	 * @see #getName()</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  	<strong class="jxr_keyword">protected</strong> String name = NAME_EDEFAULT;
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getBase_Classifier() &lt;em&gt;Base Classifier&lt;/em&gt;}' reference.</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <em class="jxr_javadoccomment">	 * @see #getBase_Classifier()</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  	<strong class="jxr_keyword">protected</strong> Classifier base_Classifier;
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/ExternalImpl.html">ExternalImpl</a>() {
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  		<strong class="jxr_keyword">super</strong>();
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	}
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  	@Override
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  	<strong class="jxr_keyword">protected</strong> EClass eStaticClass() {
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  		<strong class="jxr_keyword">return</strong> C_CppPackage.Literals.EXTERNAL;
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  	}
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  	@Override
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  	<strong class="jxr_keyword">public</strong> String getName() {
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  		<strong class="jxr_keyword">return</strong> name;
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  	}
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 	@Override
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setName(String newName) {
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 		String oldName = name;
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 		name = newName;
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, C_CppPackage.EXTERNAL__NAME, oldName, name));
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 	}
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L112" href="#L112">112</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L113" href="#L113">113</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L114" href="#L114">114</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L115" href="#L115">115</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 	@Override
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 	<strong class="jxr_keyword">public</strong> Classifier getBase_Classifier() {
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 		<strong class="jxr_keyword">if</strong> (base_Classifier != <strong class="jxr_keyword">null</strong> &amp;&amp; base_Classifier.eIsProxy()) {
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 			InternalEObject oldBase_Classifier = (InternalEObject)base_Classifier;
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 			base_Classifier = (Classifier)eResolveProxy(oldBase_Classifier);
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 			<strong class="jxr_keyword">if</strong> (base_Classifier != oldBase_Classifier) {
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 				<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 					eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.RESOLVE, C_CppPackage.EXTERNAL__BASE_CLASSIFIER, oldBase_Classifier, base_Classifier));
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 			}
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 		}
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 		<strong class="jxr_keyword">return</strong> base_Classifier;
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 	}
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L130" href="#L130">130</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L131" href="#L131">131</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L132" href="#L132">132</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L133" href="#L133">133</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 	<strong class="jxr_keyword">public</strong> Classifier basicGetBase_Classifier() {
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 		<strong class="jxr_keyword">return</strong> base_Classifier;
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 	}
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L139" href="#L139">139</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L140" href="#L140">140</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 	@Override
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setBase_Classifier(Classifier newBase_Classifier) {
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 		Classifier oldBase_Classifier = base_Classifier;
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 		base_Classifier = newBase_Classifier;
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, C_CppPackage.EXTERNAL__BASE_CLASSIFIER, oldBase_Classifier, base_Classifier));
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 	}
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L153" href="#L153">153</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L154" href="#L154">154</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L155" href="#L155">155</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 	@Override
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 	<strong class="jxr_keyword">public</strong> Object eGet(<strong class="jxr_keyword">int</strong> featureID, <strong class="jxr_keyword">boolean</strong> resolve, <strong class="jxr_keyword">boolean</strong> coreType) {
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__NAME:
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 				<strong class="jxr_keyword">return</strong> getName();
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__BASE_CLASSIFIER:
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 				<strong class="jxr_keyword">if</strong> (resolve) <strong class="jxr_keyword">return</strong> getBase_Classifier();
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 				<strong class="jxr_keyword">return</strong> basicGetBase_Classifier();
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 		}
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eGet(featureID, resolve, coreType);
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 	}
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L170" href="#L170">170</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L171" href="#L171">171</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L172" href="#L172">172</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 	@Override
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> eSet(<strong class="jxr_keyword">int</strong> featureID, Object newValue) {
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__NAME:
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 				setName((String)newValue);
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__BASE_CLASSIFIER:
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 				setBase_Classifier((Classifier)newValue);
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 		}
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 		<strong class="jxr_keyword">super</strong>.eSet(featureID, newValue);
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 	}
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L188" href="#L188">188</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> 	@Override
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> eUnset(<strong class="jxr_keyword">int</strong> featureID) {
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__NAME:
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 				setName(NAME_EDEFAULT);
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__BASE_CLASSIFIER:
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 				setBase_Classifier((Classifier)<strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 		}
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 		<strong class="jxr_keyword">super</strong>.eUnset(featureID);
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 	}
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L205" href="#L205">205</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L206" href="#L206">206</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L207" href="#L207">207</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L208" href="#L208">208</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 	@Override
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> eIsSet(<strong class="jxr_keyword">int</strong> featureID) {
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__NAME:
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 				<strong class="jxr_keyword">return</strong> NAME_EDEFAULT == <strong class="jxr_keyword">null</strong> ? name != <strong class="jxr_keyword">null</strong> : !NAME_EDEFAULT.equals(name);
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 			<strong class="jxr_keyword">case</strong> C_CppPackage.EXTERNAL__BASE_CLASSIFIER:
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 				<strong class="jxr_keyword">return</strong> base_Classifier != <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 		}
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eIsSet(featureID);
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 	}
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 
<a class="jxr_linenumber" name="L220" href="#L220">220</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L221" href="#L221">221</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L222" href="#L222">222</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L223" href="#L223">223</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L224" href="#L224">224</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	@Override
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 	<strong class="jxr_keyword">public</strong> String toString() {
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 		<strong class="jxr_keyword">if</strong> (eIsProxy()) <strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.toString();
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 		StringBuffer result = <strong class="jxr_keyword">new</strong> StringBuffer(<strong class="jxr_keyword">super</strong>.toString());
<a class="jxr_linenumber" name="L230" href="#L230">230</a> 		result.append(<span class="jxr_string">" (name: "</span>);
<a class="jxr_linenumber" name="L231" href="#L231">231</a> 		result.append(name);
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 		result.append(')');
<a class="jxr_linenumber" name="L233" href="#L233">233</a> 		<strong class="jxr_keyword">return</strong> result.toString();
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 	}
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 
<a class="jxr_linenumber" name="L236" href="#L236">236</a> } <em class="jxr_comment">// ExternalImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
